<!DOCTYPE html>
<html>
  <title>QR Security Dashboard</title>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet" href="w3.css" />
  <link	rel="stylesheet"	href="https://fonts.googleapis.com/css?family=Raleway" />
  <link	rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
  <style>
    html, body, h1,	h2,	h3,	h4,	h5 {
      font-family: "Raleway", sans-serif;
    }
  </style>
  <body class="w3-light-grey">
    <!-- Top container -->
    <div class="w3-bar w3-top w3-black w3-large" style="z-index: 4">
        <span class="w3-bar-item w3-left w3-text-red" id="connectionStatus">Connecting...</span>
          <span class="w3-bar-item w3-right">QR Security Dashboard</span>
    </div>

    <!-- !PAGE CONTENT! -->
    <div class="w3-main" style="margin-top: 43px">
      <!-- Header -->
      <header
        class="w3-container w3-center"
        style="padding-top: 1%; padding-left: 5%; padding-right: 5%"
      >
        <h3>
          <b><i class="fa fa-dashboard"></i> Dashboard</b>
        </h3>
      </header>

      <div class="w3-row-padding w3-margin-bottom">
        <div class="w3-quarter">
          <div class="w3-container w3-red w3-padding-16">
            <div class="w3-left"><i class="fa fa-users w3-xxxlarge"></i></div>
            <div class="w3-right">
              <h3 id='userCount'>N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Registered Users</h4>
          </div>
        </div>
        <div class="w3-quarter">
          <div class="w3-container w3-blue w3-padding-16">
            <div class="w3-left"><i class="fa fa-map w3-xxxlarge"></i></div>
            <div class="w3-right">
              <h3 id="zoneCount">N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Number Of Zones</h4>
          </div>
        </div>
        <div class="w3-quarter">
          <div class="w3-container w3-teal w3-padding-16">
            <div class="w3-left">
              <i class="fa fa-object-group w3-xxxlarge"></i>
            </div>
            <div class="w3-right">
              <h3 id="groupCount">N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Number Of Groups</h4>
          </div>
        </div>
        <div class="w3-quarter">
          <div class="w3-container w3-orange w3-text-white w3-padding-16">
            <div class="w3-left"><i class="fa fa-users w3-xxxlarge"></i></div>
            <div class="w3-right">
              <h3 id="doorCount">N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Number Of Doors</h4>
          </div>
        </div>
      </div>
      <!-- END OF ROW -->
      <div class="w3-row-padding w3-margin-bottom">
        <div class="w3-quarter">
          <div class="w3-container w3-brown w3-padding-16">
            <div class="w3-left"><i class="fa fa-sign-in w3-xxxlarge"></i></div>
            <div class="w3-right">
              <h3 id="entryCountToday">N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Total Entries Today</h4>
          </div>
        </div>
        <div class="w3-quarter">
          <div class="w3-container w3-deep-orange w3-padding-16">
            <div class="w3-left">
              <i class="fa fa-times-circle w3-xxxlarge"></i>
            </div>
            <div class="w3-right">
              <h3 id="rejectedEntryCountToday">N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Rejected Entries Today</h4>
          </div>
        </div>
        <div class="w3-quarter">
          <div class="w3-container w3-indigo w3-padding-16">
            <div class="w3-left"><i class="fa fa-sign-in w3-xxxlarge"></i></div>
            <div class="w3-right">
              <h3 id="uniqueEntriesToday">N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Unique Entries Today</h4>
          </div>
        </div>
        <div class="w3-quarter">
          <div class="w3-container w3-pink w3-text-white w3-padding-16">
            <div class="w3-left"><i class="fa fa-sign-in w3-xxxlarge"></i></div>
            <div class="w3-right">
              <h3 id="uniqueEntriesWeek">N/A</h3>
            </div>
            <div class="w3-clear"></div>
            <h4>Unique Entries This Week</h4>
          </div>
        </div>
      </div>

      <header
        class="w3-container w3-center"
        style="padding-top: 1%; padding-left: 5%; padding-right: 5%"
      >
        <h3>
          <b><i class="fa fa-pencil-square-o"></i> Add Or Edit Entries</b>
        </h3>
      </header>
      <div class="w3-row-padding w3-margin-bottom">
        <div class="w3-quarter">
          <div class="w3-padding-16">
            <h3>
              <b><i class="fa fa-plus-square"></i> Add...</b>
            </h3>

            <button
                class="w3-button w3-red"
                onclick="document.getElementById('addUser').style.display='block'"
            >User</button>

            <button 
                class="w3-button w3-blue"
                onclick="document.getElementById('addGroup').style.display='block'"
            >Group</button>

            <button 
                class="w3-button w3-teal"
                onclick="document.getElementById('addZone').style.display='block'"
            >Zone</button>

            <button 
                class="w3-button w3-orange"
                onclick="document.getElementById('addUserToGroup').style.display='block'"
            >User To Group</button>
          </div>
        </div>

        <div class="w3-quarter">
          <div class="w3-padding-16">
            <h3>
              <b><i class="fa fa-minus-square"></i> Remove...</b>
            </h3>

            <button 
                class="w3-button w3-red"
                onclick="document.getElementById('removeUser').style.display='block'"
            >User</button>

            <button 
                class="w3-button w3-blue"
                onclick="document.getElementById('removeGroup').style.display='block'"
            >Group</button>

            <button 
                class="w3-button w3-teal"
                onclick="document.getElementById('removeZone').style.display='block'"
            >Zone</button>

            <button 
                class="w3-button w3-orange"
                onclick="document.getElementById('removeDoor').style.display='block'"
            >Door</button>
          </div>
        </div>

        <div class="w3-quarter">
          <div class="w3-padding-16">
            <h3>
              <b><i class="fa fa-pencil-square"></i> Edit...</b>
            </h3>

            <button class="w3-button w3-red">User</button>

            <button class="w3-button w3-blue">Group</button>

            <button class="w3-button w3-teal">Zone</button>

            <button class="w3-button w3-orange">Door</button>
          </div>
        </div>
        <div class="w3-quarter">
          <div class="w3-padding-16">
            <h3>
              <b><i class="fa fa-binoculars"></i> View...</b>
            </h3>

            <button
              class="w3-button w3-red"
              onclick="
                  getAll('/users', 'viewUsersTable');
                  document.getElementById('viewUsers').style.display='block';
                "
            >
              All Users
            </button>

            <button
              class="w3-button w3-blue"
              onclick="
                  getAll('/groups', 'viewGroupsTable');
                  document.getElementById('viewGroups').style.display='block';
              "
            >
              All Groups
            </button>

            <button
              class="w3-button w3-teal"
              onclick="
                  getAll('/zones', 'viewZonesTable');
                  document.getElementById('viewZones').style.display='block';
              "
            >
              All Zones
            </button>

            <button
              class="w3-button w3-orange"
              onclick="
                  getAll('/doors', 'viewDoorsTable');
                  document.getElementById('viewDoors').style.display='block';
              "
            >
              All Doors
            </button>

            <button
              class="w3-button w3-red"
              onclick="
                  // getCode('/doors', 'viewDoorsTable');
                  document.getElementById('viewUserCode').style.display='block';
              "
            >
              User Code
            </button>

          </div>
        </div>
        </div>
        <header
          class="w3-container w3-center"
          style="padding-top: 1%; padding-left: 5%; padding-right: 5%"
        >
          <h3>
            <b><i class="fa fa-th-list"></i> Event Log</b>
          </h3>
        </header>
        <div class="w3-rest" style="padding-left: 25%; padding-right: 25%">
          <table class="w3-table-all">
            <thead>
                <tr class="w3-blue">
                    <th>Zone</th>
                    <th>User Name</th>
                    <th>Zone Authorization</th>
                    <th>Key Authorization</th>
                    <th>Date/Time</th>
                </tr>
            </thead>
            <tbody id="logTable"></tbody>
          </table>
        </div>
        <!-- All Users Modal -->
        <div id="viewUsers" class="w3-modal">
          <div class="w3-modal-content">
            <span
              onclick="document.getElementById('viewUsers').style.display='none'"
              class="w3-button w3-display-topright"
              ><i class="fa fa-window-close"></i
            ></span>
            <div class="w3-container w3-padding-48">
              <table class="w3-table-all">
                <thead>
                  <tr class="w3-blue">
                    <th>ID</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                  </tr>
                </thead>
                <tbody id="viewUsersTable"></tbody>
              </table>
            </div>
          </div>
        </div>
        <!-- All Groups Modal -->
        <div id="viewGroups" class="w3-modal">
          <div class="w3-modal-content">
            <span
              onclick="document.getElementById('viewGroups').style.display='none'"
              class="w3-button w3-display-topright"
              ><i class="fa fa-window-close"></i
            ></span>
            <div class="w3-container w3-padding-48">
              <table class="w3-table-all">
                <thead>
                    <tr class="w3-blue">
                        <th>ID</th>
                        <th>Name</th>
                        <th>Description</th>
                      </tr>
                </thead>
                <tbody id="viewGroupsTable"></tbody>
              </table>
            </div>
          </div>
        </div>
        <!-- All Zones Modal -->
        <div id="viewZones" class="w3-modal">
          <div class="w3-modal-content">
            <span
              onclick="document.getElementById('viewZones').style.display='none'"
              class="w3-button w3-display-topright"
              ><i class="fa fa-window-close"></i
            ></span>
            <div class="w3-container w3-padding-48">
              <table class="w3-table-all">
                <thead>
                    <tr class="w3-blue">
                        <th>ID</th>
                        <th>Name</th>
                        <th>Location</th>
                        <th>Description</th>
                        <th>Is Inside</th>
                      </tr>
                </thead>
                <tbody id="viewZonesTable"></tbody>
              </table>
            </div>
          </div>
        </div>
        <!-- All Zones Modal -->
        <div id="viewDoors" class="w3-modal">
          <div class="w3-modal-content">
            <span
              onclick="document.getElementById('viewDoors').style.display='none'"
              class="w3-button w3-display-topright"
              ><i class="fa fa-window-close"></i
            ></span>
            <div class="w3-container w3-padding-48">
              <table class="w3-table-all">
                <thead>
                    <tr class="w3-blue">
                        <th>ID</th>
                        <th>Zone</th>
                      </tr>
                </thead>
                <tbody id="viewDoorsTable"></tbody>
              </table>
            </div>
          </div>
        </div>
        <!-- Remove User -->
        <div id="removeUser" class="w3-modal">
            <div class="w3-modal-content">
              <span
                onclick="document.getElementById('removeUser').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
              ></span>
              <div class="w3-container w3-padding-48">
                <label>Enter ID Of User To Remove</label>
                <input class="w3-input w3-border" type="text" id="removeUserBox">
                <br>
                <button class="w3-btn w3-red" id="removeUserBnt">Remove User</button>
              </div>
            </div>
          </div>
        <!-- Remove Group -->
        <div id="removeZone" class="w3-modal">
            <div class="w3-modal-content">
              <span
                onclick="document.getElementById('removeZone').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
              ></span>
              <div class="w3-container w3-padding-48">
                <label>Enter ID Of Zone To Remove</label>
                <input class="w3-input w3-border" type="text" id="removeZoneBox">
                <br>
                <button class="w3-btn w3-red" id="removeZoneBtn">Remove Zone</button>
              </div>
            </div>
          </div>
          <!-- Remove Door -->
          <div id="removeDoor" class="w3-modal">
            <div class="w3-modal-content">
              <span
                onclick="document.getElementById('removeDoor').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
              ></span>
              <div class="w3-container w3-padding-48">
                <label>Enter ID Of Door To Remove</label>
                <input class="w3-input w3-border" type="text" id="removeDoorBox">
                <br>
                <button class="w3-btn w3-red" id="removeDoorBtn">Remove Door</button>
              </div>
            </div>
          </div>
          <!-- Add User -->
          <div id="addUser" class="w3-modal">
            <div class="w3-modal-content">
              <span
                onclick="document.getElementById('addUser').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
              ></span>
              <div class="w3-container w3-padding-48">
                <form id="addUserForm">
                    <label for="first_name">First Name</label>
                    <input class="w3-input w3-border" type="text" id="first_name">
                    <br>
                    <label for="last_name">Last Name</label>
                    <input class="w3-input w3-border" type="text" id="last_name">
                    <br>
                </form>
                <button
                        class="w3-btn w3-red" 
                        id="addUserBtn"
                        onclick="addFormData('/users','addUserForm')"
                    >Add User</button>
              </div>
            </div>
          </div>
          <!-- Add Group -->
          <div id="addGroup" class="w3-modal">
            <div class="w3-modal-content">
              <span
                onclick="document.getElementById('addGroup').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
              ></span>
              <div class="w3-container w3-padding-48">
                <form id=addGroupForm>
                    <label for="name">Name</label>
                    <input class="w3-input w3-border" type="text" id="name">
                    <br>
                    <label for="description">Description</label>
                    <input class="w3-input w3-border" type="text" id="description">
                    <br>
                </form>
                <button 
                    class="w3-btn w3-red" 
                    id="addGroupBtn"
                    onclick="addFormData('/groups','addGroupForm')"
                >Add Group</button>
              </div>
            </div>
          </div>
          <!-- Add Zone -->
          <div id="addZone" class="w3-modal">
            <div class="w3-modal-content">
              <span
                onclick="document.getElementById('addZone').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
              ></span>
              <div class="w3-container w3-padding-48">
                <form id="addZoneForm">
                    <label for="name">Name</label>
                    <input class="w3-input w3-border" type="text" id="name">
                    <br>
                    <label for="description">Description</label>
                    <input class="w3-input w3-border" type="text" id="description">
                    <br>
                    <label for="location">Location</label>
                    <input class="w3-input w3-border" type="text" id="location">
                    <br>
                    <label for="is_inside">Parent Zone ID (Leave Empty For No Parent)</label>
                    <input class="w3-input w3-border" type="text" id="is_inside">
                    <br>
                </form>
                <button 
                    class="w3-btn w3-red" 
                    id="addZoneBtn"
                    onClick="addFormData('/zones','addZoneForm')"
                >Add Zone</button>
              </div>
            </div>
          </div>
        <!-- Add User To Group -->
        <div id="addUserToGroup" class="w3-modal">
            <div class="w3-modal-content">
                <span
                onclick="document.getElementById('addUserToGroup').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
                ></span>
                <div class="w3-container w3-padding-48">
                <form id="addUserToGroupForm">
                    <label for="uid">User ID</label>
                    <input class="w3-input w3-border" type="text" id="user_id">
                    <br>
                    <label for="gid">Group ID</label>
                    <input class="w3-input w3-border" type="text" id="group_id">
                    <br>
                </form>
                <button 
                    class="w3-btn w3-red" 
                    id="addZoneBtn"
                    onClick="addFormData('/groups/adduser','addUserToGroupForm')"
                >Add User To Group</button>
                </div>
            </div>
        </div>
        <!-- View User Code -->
        <div id="viewUserCode" class="w3-modal">
            <div class="w3-modal-content">
                <span
                onclick="document.getElementById('viewUserCode').style.display='none'"
                class="w3-button w3-display-topright"
                ><i class="fa fa-window-close"></i
                ></span>
                <div class="w3-container w3-padding-48">
                <form id="getUserCodeForm">
                    <label for="uid">User ID</label>
                    <input class="w3-input w3-border" type="text" id="user_id_code">
                    <br>
                </form>
                <button 
                    class="w3-btn w3-red" 
                    id="viewUserCodeBtn"
                    onClick="getUserCode()"
                >View User Code</button>
                </div>
            </div>
        </div>
        <!-- Delete User -->
        <div id="removeUser" class="w3-modal">
          <div class="w3-modal-content">
            <span
              onclick="document.getElementById('removeUser').style.display='none'"
              class="w3-button w3-display-topright"
              ><i class="fa fa-window-close"></i
            ></span>
            <div class="w3-container w3-padding-48">
              <form id="removeUserForm">
                  <label for="user_id">User ID</label>
                  <input class="w3-input w3-border" type="text" id="user_id">
              </form>
              <button
                      class="w3-btn w3-red" 
                      id="removeUserBtn"
                      onclick="deleteFormData('/users','removeUserForm')"
                  >Remove User</button>
            </div>
          </div>
        </div>
      </div>
      <!-- End page content -->
    </div>
    <script src="script.js"></script>
  </body>
</html>
